Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplRepoC.i File Reference

This graph shows which files directly or indirectly include this file:

## Defines
#define | _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_
#define | __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_
#define | _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___CI_
#define | _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___CI_
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerObject_ptr &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::EnvironmentVariable &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::EnvironmentVariable &_tao_aggregate)
CORBA::Boolean TAO_PortableServer_Export | operator<< (TAO_OutputCDR &, const ImplementationRepository::EnvironmentList &)
CORBA::Boolean TAO_PortableServer_Export | operator>> (TAO_InputCDR &, ImplementationRepository::EnvironmentList &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::ActivationMode &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::ActivationMode &_tao_enumval)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::StartupOptions &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::StartupOptions &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::ServerInformation &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::ServerInformation &_tao_aggregate)
CORBA::Boolean TAO_PortableServer_Export | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformationList &)
CORBA::Boolean TAO_PortableServer_Export | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformationList &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::ServerInformationIterator_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::ServerInformationIterator_ptr &)
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const ImplementationRepository::Administration_ptr)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration_ptr &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Administration::AlreadyRegistered &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::AlreadyRegistered &)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Administration::CannotActivate &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &strm, ImplementationRepository::Administration::CannotActivate &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const ImplementationRepository::Administration::NotFound &_tao_aggregate)
ACE_INLINE CORBA::Boolean | operator>> (TAO_InputCDR &, ImplementationRepository::Administration::NotFound &)

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_

#define __TAO_UNBOUNDED_SEQUENCE_IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_

#define _IMPLEMENTATIONREPOSITORY_ADMINISTRATION___CI_

#define _IMPLEMENTATIONREPOSITORY_ENVIRONMENTLIST_CI_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONITERATOR___CI_

#define _IMPLEMENTATIONREPOSITORY_SERVERINFORMATIONLIST_CI_

#define _IMPLEMENTATIONREPOSITORY_SERVEROBJECT___CI_

## Function Documentation

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::NotFound & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::CannotActivate & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration::AlreadyRegistered & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::Administration_ptr | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationIterator_ptr | _tao_objref
| ) |

CORBA::Boolean TAO_PortableServer_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ServerInformation & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::StartupOptions & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::ActivationMode & | _tao_enumval
| ) |

CORBA::Boolean TAO_PortableServer_Export operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const ImplementationRepository::EnvironmentVariable & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Administration::NotFound & |
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Administration::CannotActivate & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | ImplementationRepository::Administration::AlreadyRegistered & |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::Administration_ptr & | _tao_objref
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationIterator_ptr & | _tao_objref
| ) |

CORBA::Boolean TAO_PortableServer_Export operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformationList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerInformation & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::StartupOptions & | _tao_aggregate
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ActivationMode & | _tao_enumval
| ) |

CORBA::Boolean TAO_PortableServer_Export operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::EnvironmentList & | _tao_sequence
| ) |

ACE_INLINE CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::EnvironmentVariable & | _tao_aggregate
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | ImplementationRepository::ServerObject_ptr & | _tao_objref
| ) |